## netcfg 1.49ubuntu1

=== debian/changelog ===
netcfg (1.49ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Mon, 15 Jun 2009 08:50:06 +0200

netcfg (1.49) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6
  * Add myself to uploaders
  * No longer depends on -1 revision for libiw-dev

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 19:45:15 +0200

netcfg (1.48ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Apr 2009 22:26:31 +0100

netcfg (1.48) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Glenn Saberton ]
  * Coding style improvements.
  * Refactor dhcp configuration code.

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:46:46 -0300

netcfg (1.47) unstable; urgency=low

  * Merge from Ubuntu:
    - Build for lpia.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run (LP: #9532).
    - If we detect that the user entered a fully-qualified domain name as
      the hostname, then remove the domain part from the hostname as well as
      copying it to netcfg/get_domain (thanks, Alain Knaff; closes: #401220,
      LP: #11019).
  * Trim leading dots from netcfg/get_domain (closes: #459321).

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Sarsenov D.
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Feb 2009 01:16:16 +0000

netcfg (1.46ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run.
    - Build for lpia.
    - Bump the DHCP timeout to 30 seconds.
    - If we detect that the user entered a fully-qualified domain name as
      the hostname, then remove the domain part from the hostname as well as
      copying it to netcfg/get_domain.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Nov 2008 17:02:05 +0000
