## netcfg 1.68ubuntu7+5.5trisquel1

=== debian/changelog ===
netcfg (1.68ubuntu7+5.5trisquel1) brigantia; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Apr 2012 14:36:41 +0000

netcfg (1.68ubuntu7) oneiric; urgency=low

  * Fix crash when there are no network interfaces (LP: #870212).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Oct 2011 00:42:42 +0100

netcfg (1.68ubuntu6) oneiric; urgency=low

  [ Colin Watson ]
  * Backport from trunk:
    - Don't log "Starting netcfg" messages when invoked as ptom.

  [ Stéphane Graber ]
  * Flush all addresses and routes before configuring interfaces (LP: #848072)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Sep 2011 13:46:34 -0400

netcfg (1.68ubuntu5) oneiric; urgency=low

  * Don't preseed IP addresses as hostnames (LP: #856088).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2011 12:31:41 +0100

netcfg (1.68ubuntu4) oneiric; urgency=low

  * print-dhcpv6-info: Exit immediately if reason is not BOUND6, RENEW6, or
    REBIND6.
  * Don't bother unlinking /var/lib/netcfg/dhcp6c-finished unless we're
    using dhcp6c.
  * print-dhcpv6-info: Actually apply IPv6 address and resolv.conf entries
    received from the DHCPv6 server.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 21:40:25 +0100

netcfg (1.68ubuntu3) oneiric; urgency=low

  * Make print-dhcp6c-info and print-dhcpv6-info executable.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 19:53:11 +0100

netcfg (1.68ubuntu2) oneiric; urgency=low

  * Rebuild source package without spurious BASE/THIS/OTHER files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Sep 2011 14:29:08 +0100

netcfg (1.68ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Bump the DHCP timeout to 30 seconds.
    - Build for armhf and ppc64.
  * Merge upstream IPv6 branch (not yet mergeable in Debian since it's
    waiting for ifupdown 0.7).  Thanks to Matt Palmer for the bulk of this
    work.
  * Backport from trunk:
    - Explicitly ignore some errors to placate -Wunused-result.
    - Adjust start_dhcp_client to placate -Wformat-security.
    - Handle failure to read a pid from the wpasupplicant pid file.
  * Use isc-dhcp-client-udeb on all architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 14:53:45 +0100

netcfg (1.68) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Basque (eu.po)
  * French (fr.po) by Christian Perrier

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Aug 2011 09:05:58 +0200

netcfg (1.67) unstable; urgency=low

  * Reuploading with all the translations

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 31 Jul 2011 11:21:26 +0200

netcfg (1.66) unstable; urgency=low

  [ Colin Watson ]
  * Strip trailing dots from domain when writing to /etc/hosts
    (LP: #255117).

  [ Gaudenz Steinlin ]
  * Include WPA support.  Thanks to Glen Saberton and Darren Salt
    for the patch. (Closes: #327309)

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Macedonian (mk.po) by Arangel Angov
  * Sinhala (si.po) by Danishka Navin

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 31 Jul 2011 11:08:02 +0200

netcfg (1.65) unstable; urgency=low

  [ Samuel Thibault ]
  * Disable find_bootif_iface on hurd-i386, as it will not work (and even
    compile).

  [ Christian Perrier ]
  * Fix in Russian translation. Closes: #630523

  [ Colin Watson ]
  * Actually declare netcfg/network-manager template.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jul 2011 14:08:35 +0100

netcfg (1.64) unstable; urgency=low

  [ Colin Watson ]
  * Appease -Wunused-but-set-variable warning.
  * Fix fd leak in ethtool-lite.
  * Fix file handle leak in no_default_route's Hurd case.
  * Assign NETCFG_VERSION and NETCFG_BUILD_DATE using := rather than =; this
    is more efficient, and also avoids inconsistent build times being
    reported in the case where the build crossed a minute boundary.
  * Rearrange BOOTIF handling to allow us to handle the case where
    netcfg/choose_interface is preseeded with an Ethernet hardware address
    (LP: #708908).  The latter case should work on kFreeBSD as well.
  * Also release lease at end of install when using isc-dhcp-client.
  * Merge from Ubuntu:
    - Call /usr/lib/NetworkManager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use.  May be preseeded away with
      netcfg/network-manager.  (Thanks, Matt Palmer; closes: #614884.)

  [ Wouter Verhelst ]
  * Move 50release-dhcp-lease to 97release-dhcp-lease, so that the
    network isn't brought down before the target is unmounted, which
    breaks installing to a network target such as NBD.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Jul 2011 14:47:12 +0100

netcfg (1.63ubuntu2) oneiric; urgency=low

  * Free domain_nodot at the end of netcfg_write_common (thanks, Bryce
    Harrington; LP: #724636).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 Jul 2011 13:48:49 +0100

netcfg (1.63ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/NetworkManager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.
    - Strip trailing dots from domain when writing to /etc/hosts.

