## netcfg 1.68ubuntu14.1+6.0.1trisquel1

=== debian/changelog ===
netcfg (1.68ubuntu14.1+6.0.1trisquel1) toutatis; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 24 Aug 2014 04:44:51 +0200
