## netcfg 1.68ubuntu17

=== debian/changelog ===
netcfg (1.68ubuntu17) raring; urgency=low

  [ Philipp Kern ]
  * netcfg.c (main): Remove a local definition of hostname. 
    (Closes: #690330, LP: #901700)

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Dec 2012 13:37:02 -0800

netcfg (1.68ubuntu16) quantal; urgency=low

  [ Philipp Kern ]
  * autoconfig.c: initialize getline's lineptr with NULL.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2012 17:18:05 +0100

netcfg (1.68ubuntu15) quantal; urgency=low

  * base-installer.d/40netcfg: If resolvconf is installed and
    /target/run/resolvconf/ already exists, then copy /etc/resolv.conf to
    /target/run/resolvconf/resolv.conf to serve as temporary resolver
    configuration during installation, since resolvconf won't have been run
    yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Jul 2012 01:21:47 +0100
