## netcfg 1.70

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
+NETCFG_VERSION := $(shell dpkg-parsechangelog | grep ^Version: |sed 's/Version: //')
+NETCFG_BUILD_DATE := $(shell date '+%Y%m%d-%H%M')
+
 CC		= gcc
 TARGETS		?= netcfg-static netcfg
 
 LDOPTS		= -ldebconfclient -ldebian-installer
-CFLAGS		= -W -Wall -DNDEBUG 
+CFLAGS		= -W -Wall -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -DNETCFG_BUILD_DATE="\"$(NETCFG_BUILD_DATE)\""
 COMMON_OBJS	= netcfg-common.o wireless.o
 
 WIRELESS	= 1
@@ -10,6 +13,12 @@
 WIRELESS	= 0
 endif
 ifeq ($(DEB_HOST_ARCH),s390)
+WIRELESS	= 0
+endif
+ifeq ($(DEB_HOST_ARCH),s390x)
+WIRELESS	= 0
+endif
+ifeq ($(DEB_HOST_ARCH),sparc)
 WIRELESS	= 0
 endif
 
@@ -26,8 +35,8 @@
 
 all: $(TARGETS)
 
-netcfg-static: netcfg-static.o static.o
-netcfg: netcfg.o dhcp.o static.o ethtool-lite.o
+netcfg-static: netcfg-static.o static.o ethtool-lite.o
+netcfg: netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o
 
 ethtool-lite: ethtool-lite-test.o
 	$(CC) -o $@ $<
