=== debian/changelog ===
netcfg (1.70) unstable; urgency=low

  [ Jurij Smakov ]
  * Don't try to compile wireless code on sparc, fixing FTBFS introduced
    by (intentional) dropping of libiw-dev build dependency. 

 -- Jurij Smakov <jurij@debian.org>  Fri, 04 Nov 2011 20:53:05 +0000

netcfg (1.69) unstable; urgency=low

  [ Colin Watson ]
  * armhf was accidentally removed from the Architecture field while merging
    the WPA branch.  Restore it.
  * Explicitly ignore some errors to placate -Wunused-result.
  * Adjust start_dhcp_client to placate -Wformat-security.
  * Handle failure to read a pid from the wpasupplicant pid file.
  * Don't log "Starting netcfg" messages when invoked as ptom.

  [ Holger Wansing ]
  * Mention WPA2 in debconf templates as it is also supported. Also
    explain the PSK acronym.
    Closes: #637467

  [ Philipp Kern ]
  * Add s390x support.  (No wireless.)

  [ Jurij Smakov ]
  * Drop dependency on wpasupplicant and crypto-modules on sparc to get
    netboot image size under 10MB, otherwise it doesn't boot.

 -- Jurij Smakov <jurij@debian.org>  Wed, 02 Nov 2011 06:46:19 +0000
