## netcfg 1.108

=== debian/changelog ===
netcfg (1.108) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not set netcfg/use_autoconfig to true just because netcfg/disable_dhcp
    is false (which is the default), otherwise netcfg/disable_autoconfig has no
    effect. (Closes: #703747, #688273)

  [ Philipp Kern ]
  * Install iw whenever wireless-tools is installed on the target.
    Patch by Charles Plessy. (Closes: #697890)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Croatian (hr.po) by Tomislav Krznar
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Philipp Kern <pkern@debian.org>  Sun, 07 Apr 2013 22:00:45 +0200

netcfg (1.107) unstable; urgency=low

  * finish-install.d/55netcfg-copy-config: Do not rely on dpkg -l
    to check if a package is installed; use dpkg-query -s instead
    and check status explicitly. (Closes: #700939)

 -- Philipp Kern <pkern@debian.org>  Thu, 21 Feb 2013 15:02:54 +0100

netcfg (1.106) unstable; urgency=low

  * finish-install.d/55netcfg-copy-config: Exit if connection type
    information was not written by netcfg. This preserves the
    generated /etc/network/interfaces on kFreeBSD. It will also
    preserved files generated by users between base install and
    finishing. (Closes: #698626)

 -- Philipp Kern <pkern@debian.org>  Sat, 09 Feb 2013 20:06:18 +0100

netcfg (1.105) unstable; urgency=low

  [ Christian Perrier ]
  * Fix mistranslation in French translation.
    Closes: #699192

  [ Steven Chamberlain ]
  * Fix FTBFS when PATH ends up with ":/bin" because of an off-by-2 bug
    in srunner_mock_path function in test/srunner.c

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Feb 2013 18:09:07 +0100

netcfg (1.104) unstable; urgency=low

  [ Julien Cristau ]
  * debug: use gai_strerror() on getnameinfo() failure

 -- Philipp Kern <pkern@debian.org>  Sun, 13 Jan 2013 14:24:42 +0100

netcfg (1.103) unstable; urgency=low

  [ Philipp Kern ]
  * netcfg-common.c: Re-enable debug output for IPv4 DNS resolution in
    get_hostname_from_dns.
  * netcfg.c: Only write out NM configuration if at least one interface
    was found. (Closes: #695486)

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly

 -- Philipp Kern <pkern@debian.org>  Mon, 10 Dec 2012 18:20:53 +0100

netcfg (1.102) unstable; urgency=low

  [ Sorina Sandu ]
  * On Linux: Write a network-manager configuration file in preference
    to ifupdown if network-manager is found in the installed system.
    Configure wired networking with ifupdown if not. Do not configure
    wireless networking through ifupdown.

  [ Philipp Kern ]
  * nm-conf: Use Linux's random/uuid proc entry.
  * Write out network-manager configuration files with mode 0600.
  * Reword target_network_config template; do not ask the question.
  * nm-conf: use ESSID as connection name
  * finish-install: Do not set /etc/network/interfaces to mode 0600.
  * nm-conf: Allow both IPv4 and IPv6 to be activated post-installation.
  * nm-conf: Only write out MAC addresses on static configurations.
  * Do not compile in network-manager support on kFreeBSD & Hurd.

  [ Cyril Brulebois ]
  * finish-install: Fix bashisms; equality tests are done with '='.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

 -- Philipp Kern <pkern@debian.org>  Thu, 22 Nov 2012 00:24:43 +0100

netcfg (1.101) unstable; urgency=low

  * Skip reachability test for empty gateway. (Closes: #690868)
  * Obey netcfg/disable_dhcp for compatibility reasons and disable
    autoconfig. There's no need to break old preseeding scripts,
    as the intent is clear.
  * Add a debconf template for netcfg/disable_autoconfig and state
    that netcfg/disable_dhcp is deprecated.

 -- Philipp Kern <pkern@debian.org>  Sat, 03 Nov 2012 21:48:31 +0100

netcfg (1.100) unstable; urgency=low

  * Temporarily revert the activation of IPv6 privacy extensions
    to cope with network-manager not commenting out the interfaces
    stanza correctly.

 -- Philipp Kern <pkern@debian.org>  Sun, 28 Oct 2012 10:16:17 +0100

netcfg (1.99) unstable; urgency=low

  [ Philipp Kern ]
  * netcfg.c (main): Remove a local definition of hostname.
    (Closes: #690330)
  * Override the hostname found via DHCP or DNS with the preseeded
    value of the new variable netcfg/hostname, if set. Patch by
    Floris Bos. (Closes: #606636)
  * Add myself to uploaders.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by Mikel González
  * Welsh (cy.po) by Dafydd Tomos
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Galician (gl.po) by Jorge Barreiro
  * Kannada (kn.po) by Prabodh
  * Serbian (sr.po) by Karolina Kalic
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Philipp Kern <pkern@debian.org>  Fri, 26 Oct 2012 11:11:53 +0200

netcfg (1.98) unstable; urgency=low

  * Re-upload without cruft from my checkout, oops.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 05 Oct 2012 00:57:08 +0200

netcfg (1.97) unstable; urgency=low

  * Fix missing build-dep on check for the test suite.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 04 Oct 2012 23:26:58 +0200

netcfg (1.96) unstable; urgency=low

  [ Philipp Kern ]
  * Makefile: set DEB_HOST_ARCH{,_OS} conditionally
  * autoconfig.c: kill dhcp6c after timeout unless a lease is obtained
  * Fix the dns- entries in /etc/network/interfaces. (Closes: #689474)
    Patch by Matthew L. Dailey.
  * Run the test suite during build.

  [ Christian Perrier ]
  * [l10n] Drop use of sublevel 6 and move "recently" added
    strings to the sublevel they pertain to.

  [ Samuel Thibault ]
  * Fix ethtool-lite hurd-i386 build.

  [ Updated translations ]
  * Hindi (hi.po) by Kumar Appaiah
  * Marathi (mr.po) by sampada

 -- Philipp Kern <pkern@debian.org>  Thu, 04 Oct 2012 22:38:34 +0200

netcfg (1.95) unstable; urgency=low

  [ Cyril Brulebois ]
  * Stop overriding CC if it's set.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

