## netcfg 1.108+deb7u1

=== debian/changelog ===
netcfg (1.108+deb7u1) wheezy; urgency=low

  [ Philipp Kern ]
  * Wrap dpkg-query call to check for network-manager with sh.
    Thanks to Michael Biebl for the patch. (Closes: #717449)

 -- Cyril Brulebois <kibi@debian.org>  Tue, 08 Oct 2013 01:04:51 +0200
