=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	install -m755 netcfg-static debian/netcfg-static/bin/netcfg

override_dh_installdebconf:
	dh_installdebconf
ifneq (,$(shell dh_listpackages | grep '^netcfg-static$$'))
	(echo; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg-static/DEBIAN/templates
endif
ifneq (,$(shell dh_listpackages | grep '^netcfg$$'))
	(echo ; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-dhcp.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-static.templates) \
	   >> debian/netcfg/DEBIAN/templates
endif
