## netcfg 1.108+deb7u3

=== debian/changelog ===
netcfg (1.108+deb7u3) wheezy; urgency=low

  * Fix missing bounds check on nameserver array iteration, leading to a
    crash when 4 (or more) nameservers are available (Closes: #768218).
    Thanks, Kjell Braden, for the bug report, patch, and tests!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 29 Dec 2014 18:36:19 +0100
